CON

    _clkmode = xtal1 + pll16x
    _xinfreq = 5_000_000


          ' Pin Definitions:
          ' LSB MSB
          ' 000000000 01111111 11122222 2222233
          ' 012345678 90123456 78901234 5678901
  PADpins = %11111111_00000000_00000000_00000000 ' 0..7 Touchpads
  MOTPins = %00000000_11110000_00000000_00000000 ' 8..11 Motor Control
  PWMpins = %00000000_00001100_00000000_00000000 ' 12..13 Motor PWM
  LCDpins = %00000000_00000010_00000000_00000000 ' 14 LCD Display
  IRCpins = %00000000_00000001_00000000_00000000 ' 15 Infra Red Controller
  LEDpins = %00000000_00000000_11111111_00000000 ' 16..23 QS LEDs
  OBXpins = %00000000_00000000_00000000_11110000 ' 24..27 Obsticle sensors
  EPCpins = %00000000_00000000_00000000_00001000 ' 28 EEPROM Clock
  EPDpins = %00000000_00000000_00000000_00000100 ' 29 EEPROM Data
  USBpins = %00000000_00000000_00000000_00000011 ' 30..31 USB
  OUTpins = MOTpins| PWMpins| LEDpins| LCDpins
  '======================================
  ' Motor control pins for TB6612FNG
  MotA1 = 8
  MotA2 = 9
  MotB1 = 10
  MotB2 = 11
  PWMA = 12
  PWMB = 13
  
  ' Motor Direction Masks for TB6612FNG
  Mot_Fwd = %0110 ' Go fwd
  Mot_Aft = %1001 ' Go Aft
  
  Mot_Rit = %0010 ' Turn Right
  Mot_Lft = %0100 ' Turn Left
  
  Mot_RoR = %1010 ' Rotate Right
  Mot_RoL = %0101 ' Rotate Left
  
  Mot_Off = %0000 ' All Stop

OBJ

  ser : "com.serial.terminal"

PUB Main | a, b, c, d

  ser.Start (115200)
  ser.Clear

  ser.Bin (outpins, 32)
  ser.NewLine
  ser.NewLine

  ser.Bin ( (PWMPins | LEDPins | LCDPins) | (Mot_Fwd << 20), 32)
  ser.NewLine  

  ser.Bin ( (PWMPins | LEDPins | LCDPins) | (Mot_Aft << 20), 32)
  ser.NewLine  

  ser.Bin ( (PWMPins | LEDPins | LCDPins) | (Mot_Rit << 20), 32)
  ser.NewLine  

  ser.Bin ( (PWMPins | LEDPins | LCDPins) | (Mot_Lft << 20), 32)
  ser.NewLine  

  ser.Bin ( (PWMPins | LEDPins | LCDPins) | (Mot_RoR << 20), 32)
  ser.NewLine  

  ser.Bin ( (PWMPins | LEDPins | LCDPins) | (Mot_RoL << 20), 32)
  ser.NewLine  

  ser.Bin ( (PWMPins | LEDPins | LCDPins) | (Mot_Off << 20), 32)
  ser.NewLine  
  repeat
